Subject: Re: Converting plpgsql to use DTYPE_REC for named composite types

From: Tom Lane <[email-masked]>
Date: Tue, 13 Feb 2018 13:13:02 -0500

Pavel Stehule <[email-masked]> writes:
> 2017-12-30 0:16 GMT+01:00 Tom Lane <[email-masked]>:
>>> I'll stick this into the January commitfest, but I'd like to get it
>>> reviewed and committed pretty soon, because there are follow-on patches
>>> that need to get done in time for v11 --- in particular, we need to close
>>> out the lack of plpgsql support for domains-over-composite.

> all test passed on my comp too.

Is anyone planning on doing further review of this patch than Pavel
already did?  If not, I'd like to go ahead and push it, since there's
still followup stuff that I'd like to address for v11.  As noted upthread,
there are places where plpgsql fails to enforce DOMAIN NOT NULL
constraints, and I think I had some other squishy things in my notes.

			regards, tom lane